Subject: Re: stgit: stg mail

From: Catalin Marinas <[email-masked]>
Date: Tue, 12 Dec 2006 12:32:15 +0000

"Bahadir Balban" <[email-masked]> wrote:
> I couldn't succeed in getting stg mail produce an mbox file with a
> Signed-off-by line (using stgit 0.11).
>
> stg mail -m --to=[email-masked] patchname > patchname.diff
>
> works OK. If I add the template with Signed-off-by I get:
>
> stg mail -m --to=[email-masked] -t ~/patch.tmpl patchname > patchname.diff
> stg mail: No "From" address

Your template is wrong since it doesn't have a "From:" line. You would
have to use the templates/patchmail.tmpl as a starting point.

BTW, I prefer to add the "signed-off-by" line in the patch description
rather than automatically (blindly) append it to every e-mailed patch.

--